mti / modifytimer             Modifies a timer
 
   Format:
      ;mti <switches>         Modifies a timer
 
   Notes:
      Timers are one of five types of Axmud interface (the others being 
         triggers, aliases, macros and hooks).
      Timers allow you to send a world (or client) command repeatedly at fixed
         intervals, and also to specify a command to be executed later.
      This command modifies the attributes of an existing 'inactive' timer (one
         associated with a particular profile) and its corresponding 'active'
         timer, if there is one.
      It's also possibly to modify the active timer directly, in which case, the
         the changes won't apply to the parent inactive timer (and will only 
         last for the session, or until the active timer is deleted).
      
      <switches> allows you to define which timer (and which of its attributes)
         should be modified.

      To modify the active timer directly, one of the following (group 0) switch 
         options must be used:
         -i <name>            - Modifies the active timer <name>
         -i <number>          - Modifies the active timer <number>
      However, to modify the inactive timer (and the active timer based on it, 
         if there is one), one of the following (group 1) switch options must 
         be used instead:
         <name>               - Modifies timer belonging to the current world
         <name> -w            - Modifies timer belonging to the current world
         <name> -r            - Modifies timer belonging to the current race
         <name> -g            - Modifies timer belonging to the current guild
         <name> -c            - Modifies timer belonging to the current char
         <name> -x <category> - Modifies timer belonging to the current custom
                                   profile <category>
         <name> -d <prof>     - Modifies timer belonging to the profile named
                                   <prof>
 
      One or more of the following group 2/3 switch options must be used.
      Group 2 switch options: 
         -s <number>          - Modifies the 'stimulus' attribute (minimum value
                                   0.1 or a clock time in the form HH::MM or
                                   99::MM)
         -p <statement>       - Modifies the 'response' attribute (the command  
                                   to execute)
      Group 3 switch options: 
         -e <boolean>         - Modifies the 'enabled' attribute (1 or 0) 
         -o <repeat_count>    - Modifies the 'count' attribute (a positive 
                                   integer or -1)
         -i <number>          - Modifies the 'initial_delay' attribute (a 
                                   number, 0 or above; default is 0)
         -r <boolean>         - Modifies the 'random_delay' attribute (1 or 0, 
                                   default is 0)
         -m <number>          - Modifies the 'random_min' attribute (a number, 0 
                                   or above; default is 0)
         -w <boolean>         - Modifies the 'wait_login' attribute (1 or 0,
                                   default is 1)
         -t <boolean>         - Modifies the 'temporary' attribute (1 or 0, 
                                   default is 0)
      N.B. The 'name' attribute can't be modified.

      Group 4 switch options (only modify the inactive timer, so can't be used
         with the -i switch):
         -b <name>            - This timer is checked before timers called 
                                   <name> (when they both become active)
         -y <name>            - This timer is not checked before timers called 
                                   <name> (when they both become active)
         -f <name>            - This timer is checked after timers called <name> 
                                   (when they both become active)
         -z <name>            - This timer is not checked after timers called 
                                   <name> (when they both become active)

   General interface notes:
      If <instruction>, <pattern>, <string> or <substitution> contain 
         whitespace, they must be enclosed by diamond brackets
         
            e.g. <You see (.*) exits>
            
      <boolean> can be typed as 1 or 0, or any word beginning with t, T, f or F
 
   User commands:
      mti / modti / modtimer / modifyti / modifytimer
